changeset 587:1151059c5eff

Work properly again with bundled libtom*. autoconf is a hassle.
author Matt Johnston <matt@ucc.asn.au>
date Wed, 21 Jul 2010 13:27:44 +0000
parents b50f0107e505
children a55b97f5a485 9fd27bc37807
files Makefile.in configure.in
diffstat 2 files changed, 6 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/Makefile.in	Wed Jul 21 12:55:25 2010 +0000
+++ b/Makefile.in	Wed Jul 21 13:27:44 2010 +0000
@@ -76,7 +76,7 @@
 [email protected]@
 [email protected]@
 [email protected]@
-CFLAGS=-I. -I$(srcdir) $(CPPFLAGS) @[email protected]
+CFLAGS+=-I. -I$(srcdir) $(CPPFLAGS) @[email protected]
 [email protected]@
 [email protected]@
 
--- a/configure.in	Wed Jul 21 12:55:25 2010 +0000
+++ b/configure.in	Wed Jul 21 13:27:44 2010 +0000
@@ -366,18 +366,20 @@
 AC_ARG_ENABLE(bundled-libtom,
 	[  --enable-bundled-libtom       Use bundled libtomcrypt/libtommath even if a system version exists],
 	[ 
-		AC_MSG_NOTICE(use bundled)
-		AC_DEFINE(BUNDLED_LIBTOM,,Use bundled libtom) 
 		BUNDLED_LIBTOM=1
+		AC_MSG_NOTICE(Forcing bundled libtom*)
 	],
 	[
-		AC_MSG_NOTICE(not bundled)
 		BUNDLED_LIBTOM=0
 		AC_CHECK_LIB(tomcrypt, register_cipher, , BUNDLED_LIBTOM=1)
 		AC_CHECK_LIB(tommath, mp_exptmod, , BUNDLED_LIBTOM=1)
 	]
 )
 
+if test $BUNDLED_LIBTOM = 1 ; then
+	AC_DEFINE(BUNDLED_LIBTOM,,Use bundled libtom) 
+fi
+
 AC_SUBST(BUNDLED_LIBTOM)
 
 dnl Added from OpenSSH 3.6.1p2's configure.ac